<?php

require_once './../../lib/php-jwt/src/BeforeValidException.php';
require_once './../../lib/php-jwt/src/ExpiredException.php';
require_once './../../lib/php-jwt/src/SignatureInvalidException.php';
require_once './../../lib/php-jwt/src/JWT.php';

use \Firebase\JWT\JWT;

include './../../connection.php';

$key = "your_secret_key";

if ($_SERVER['REQUEST_METHOD'] == 'POST') {

    $data = json_decode(file_get_contents('php://input'), true);

    if (isset($data['username']) && isset($data['password'])) {
        $username = $data['username'];
        $password = password_hash($data['password'], PASSWORD_DEFAULT);

        $stmt = $conn->prepare("INSERT INTO users (username, password) VALUES (?, ?)");
        $stmt->bind_param("ss", $username, $password);

        if ($stmt->execute()) {
            $payload = [
                'iss' => "https://fmsac.com/", // Emisor del token
                'aud' => $username, // Receptor del token
                'iat' => time(), // Tiempo en que el token fue emitido
                'exp' => time() + 3600, // Tiempo en que el token expira (1 hora)
                'data' => [
                    'username' => $username
                ]
            ];

            $jwt = JWT::encode($payload, $key, 'HS256');
            echo json_encode(['status' => 'success', 'message' => 'User registered successfully!', 'token' => $jwt]);
        } else {
            echo json_encode(['status' => 'error', 'message' => $stmt->error]);
        }

        $stmt->close();
    } else {
        echo json_encode(['status' => 'error', 'message' => 'Username and password are required.']);
    }
} else {
    echo json_encode(['status' => 'error', 'message' => 'Invalid request method.']);
}
